# Data Controller for SAS

Get control over your manual data modifications!

Alternatives to Data Controller include:

🏃 Running #SAS or #SQL updates in production

❓ Asking a #DBA to run validated code after a change management process

💾 Developing / testing / deploying / scheduling overnight batch jobs to load files from shared drives

🔒 Opening (and locking) datasets in Enterprise Guide or SAS® Table Viewer to perform direct updates

🌐 Building & maintaining your own custom web application

Problems with the above include:

❌ Risk of manual error / data corruption

❌ End users requiring direct write access to critical data sources in production

❌ Breaches due to unnecessary parties having access to the data

❌ Inability to trace who made a change, when, and why

❌ Reliance on key individuals to perform updates

❌ Building bespoke ETL for every new data source

❌ Upload routines that must be manually modified for table changes

❌ Legacy 'black box' solutions with little to no testing, documentation or support

Data Controller for SAS® solves all these issues in a simple-to-install, user-friendly, secure, documented, battle-tested web application.  Available on Viya, SAS 9 EBI, and [SASjs Server](https://server.sasjs.io).

For more information:

* Main site:  https://datacontroller.io
* Pricing: https://datacontroller.io/pricing
* Docs:  https://docs.datacontroller.io
* SAS Code: https://code.datacontroller.io